Bug 39030 - Route not getting put in table
Route not getting put in table
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-03 16:09 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-03 16:09:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; Tucows)

Description of problem:
As far as your config tools go. Could you tell me why you have to put in 
static route manually? I have used the network config tool to put in a 
static route but when you type in route at command prompt, it doesnt show 
up and when you put something in command line it doesn't show up on the 
config tool (routing tab.) One would think that what you put in command 
line should show up on the tool and vise versa. Its like, when I put any 
info in the tool it wouldn't put the info in the route table. Any comments 
would be appreciated.. Is this a flaw with your tools?  

How reproducible:
Always

Steps to Reproduce:
1.Put in route in config tool
2.check route table and is not there
3.put in route manually and it doesnt show up at in tool as well
	

Expected Results:  Expect things to work together...

Additional info:

this same thing goes for the bindconf tool!!!
I was also wondering why you can't put in more than one IP for the reverse 
in bindconf.  I had to put it in manually.
Comment 1 Need Real Name 2001-05-03 16:10:50 EDT
I had called tech support on this and they said to report this to you..
Comment 2 Need Real Name 2001-09-28 13:25:18 EDT
The format of the data stored in  /etc/sysconfig/static-routes is not in a
format that the call to 
/etc/rc.d/init.d/network can use.  ~/init.d/network calles route add with the
data stored in ~/static-routes.  

netcfg stores the data as: (example)
  
eth0 net 172.16.1.10 netmask 255.255.255.0 

add route wants: (example)

-net 172.16.1.10 netmask 255.255.255.0 gw 172.16.1.11 dev eth0
Comment 3 Bill Nottingham 2006-08-07 13:34:38 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 10:37:40 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.